Welcome Inspire Pilots!
Join our free DJI Inspire community today!
Sign up

Firmware v1.4.0.10 - 7th Sept 2015 Released

I thought the 1.5.0.0 and 1.6.0.0 was if you had the X5 camera or flying in cold weather. If he has the X3 he just needs the 1.4.0.0!! Right?
Wrong. Both 1.5 and 1.6 apply to the Inspire 1 with the X3 as per the download page. Those with the X5 also need to install the Inspire 1 Pro 1.2 or 1.3 from here.
 
  • Like
Reactions: The Editor

Members online

Forum statistics

Threads
22,330
Messages
210,830
Members
34,898
Latest member
olivedcoz4687